Yaf_Route_Simple
Yaf_Route_Simple::__construct
Yaf_Route_Simple
PHP Manual

# Yaf_Route_Simple::assemble

Assemble a url

### Description

public string Yaf_Route_Simple::assemble ( array `$info` [, array `$query` ] )

Assmeble a url.

### Parameters

`info`

`query`

### Examples

Example #1 Yaf_Route_Simple::assembleexample

`<?php
$router = new Yaf_Router();
$route = new Yaf_Route_Simple('m', 'c', 'a');
$router->addRoute("simple", $route);
var_dump($router->getRoute('simple')->assemble(
array(
':a' => 'yafaction',
'tkey' => 'tval',
':c' => 'yafcontroller',
':m' => 'yafmodule'
),
array(
'tkey1' => 'tval1',
'tkey2' => 'tval2'
)
));`

The above example will output something similar to:

    string(64) "?m=yafmodule&c=yafcontroller&a=yafaction&tkey1=tval1&tkey2=tval2"

### Return Values